RequestOption
Specifies the key field or path and where in the request a component's value should be injected.
- type:
object - required:
["type","inject_into"]
type
- Required: Yes
- type:
string - enum:
["RequestOption"]
inject_into
Configures where the descriptor should be set on the HTTP requests. Note that request parameters that are already encoded in the URL path will not be duplicated.
- Required: Yes
- enum:
["request_parameter","header","body_data","body_json"]
Examples:
request_parameter
header
body_data
body_json
field_name
Configures which key should be used in the location that the descriptor is being injected into. We hope to eventually deprecate this field in favor of field_path for all request_options, but must currently maintain it for backwards compatibility in the Builder.
- Required: No
- type:
string - Available variables:
config,parameters
Examples:
segment_id
field_path
Configures a path to be used for nested structures in JSON body requests (e.g. GraphQL queries)
- Required: No
- type:
array - Available variables:
config,parameters
Examples:
- data
- viewer
- id
-
items:
- type:
string
- type: